orm

## Class ProfesorDAO

- java.lang.Object
- - orm.ProfesorDAO

    public class ProfesorDAO
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ProfesorDAO()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Profesor` `createProfesor()`
`static boolean` `delete(Profesor profesor)`
`static boolean` `deleteAndDissociate(Profesor profesor)`
`static boolean` `deleteAndDissociate(Profesor profesor, org.orm.PersistentSession session)`
`static boolean` `evict(Profesor profesor)`
`static Profesor` `getProfesorByORMID(int id_pk)`
`static Profesor` `getProfesorByORMID(int id_pk, org.hibernate.LockMode lockMode)`
`static Profesor` `getProfesorByORMID(org.orm.PersistentSession session, int id_pk)`
`static Profesor` `getProfesorByORMID(org.orm.PersistentSession session, int id_pk, org.hibernate.LockMode lockMode)`
`static java.util.Iterator` `iterateProfesorByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static java.util.Iterator` `iterateProfesorByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static java.util.Iterator` `iterateProfesorByQuery(java.lang.String condition, java.lang.String orderBy)`
`static java.util.Iterator` `iterateProfesorByQuery(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Profesor[]` `listProfesorByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static Profesor[]` `listProfesorByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Profesor[]` `listProfesorByQuery(java.lang.String condition, java.lang.String orderBy)`
`static Profesor[]` `listProfesorByQuery(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Profesor` `loadProfesorByORMID(int id_pk)`
`static Profesor` `loadProfesorByORMID(int id_pk, org.hibernate.LockMode lockMode)`
`static Profesor` `loadProfesorByORMID(org.orm.PersistentSession session, int id_pk)`
`static Profesor` `loadProfesorByORMID(org.orm.PersistentSession session, int id_pk, org.hibernate.LockMode lockMode)`
`static Profesor` `loadProfesorByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static Profesor` `loadProfesorByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Profesor` `loadProfesorByQuery(java.lang.String condition, java.lang.String orderBy)`
`static Profesor` `loadProfesorByQuery(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static java.util.List` `queryProfesor(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static java.util.List` `queryProfesor(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static java.util.List` `queryProfesor(java.lang.String condition, java.lang.String orderBy)`
`static java.util.List` `queryProfesor(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static boolean` `refresh(Profesor profesor)`
`static boolean` `save(Profesor profesor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProfesorDAO

    public ProfesorDAO()

### Method Detail

#### loadProfesorByORMID

    public static Profesor loadProfesorByORMID(int id_pk)
                                        throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getProfesorByORMID

    public static Profesor getProfesorByORMID(int id_pk)
                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadProfesorByORMID

    public static Profesor loadProfesorByORMID(int id_pk,
                                               org.hibernate.LockMode lockMode)
                                        throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getProfesorByORMID

    public static Profesor getProfesorByORMID(int id_pk,
                                              org.hibernate.LockMode lockMode)
                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadProfesorByORMID

    public static Profesor loadProfesorByORMID(org.orm.PersistentSession session,
                                               int id_pk)
                                        throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getProfesorByORMID

    public static Profesor getProfesorByORMID(org.orm.PersistentSession session,
                                              int id_pk)
                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadProfesorByORMID

    public static Profesor loadProfesorByORMID(org.orm.PersistentSession session,
                                               int id_pk,
                                               org.hibernate.LockMode lockMode)
                                        throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getProfesorByORMID

    public static Profesor getProfesorByORMID(org.orm.PersistentSession session,
                                              int id_pk,
                                              org.hibernate.LockMode lockMode)
                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryProfesor

    public static java.util.List queryProfesor(java.lang.String condition,
                                               java.lang.String orderBy)
                                        throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryProfesor

    public static java.util.List queryProfesor(java.lang.String condition,
                                               java.lang.String orderBy,
                                               org.hibernate.LockMode lockMode)
                                        throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listProfesorByQuery

    public static Profesor[] listProfesorByQuery(java.lang.String condition,
                                                 java.lang.String orderBy)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listProfesorByQuery

    public static Profesor[] listProfesorByQuery(java.lang.String condition,
                                                 java.lang.String orderBy,
                                                 org.hibernate.LockMode lockMode)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryProfesor

    public static java.util.List queryProfesor(org.orm.PersistentSession session,
                                               java.lang.String condition,
                                               java.lang.String orderBy)
                                        throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryProfesor

    public static java.util.List queryProfesor(org.orm.PersistentSession session,
                                               java.lang.String condition,
                                               java.lang.String orderBy,
                                               org.hibernate.LockMode lockMode)
                                        throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listProfesorByQuery

    public static Profesor[] listProfesorByQuery(org.orm.PersistentSession session,
                                                 java.lang.String condition,
                                                 java.lang.String orderBy)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listProfesorByQuery

    public static Profesor[] listProfesorByQuery(org.orm.PersistentSession session,
                                                 java.lang.String condition,
                                                 java.lang.String orderBy,
                                                 org.hibernate.LockMode lockMode)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadProfesorByQuery

    public static Profesor loadProfesorByQuery(java.lang.String condition,
                                               java.lang.String orderBy)
                                        throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadProfesorByQuery

    public static Profesor loadProfesorByQuery(java.lang.String condition,
                                               java.lang.String orderBy,
                                               org.hibernate.LockMode lockMode)
                                        throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadProfesorByQuery

    public static Profesor loadProfesorByQuery(org.orm.PersistentSession session,
                                               java.lang.String condition,
                                               java.lang.String orderBy)
                                        throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadProfesorByQuery

    public static Profesor loadProfesorByQuery(org.orm.PersistentSession session,
                                               java.lang.String condition,
                                               java.lang.String orderBy,
                                               org.hibernate.LockMode lockMode)
                                        throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateProfesorByQuery

    public static java.util.Iterator iterateProfesorByQuery(java.lang.String condition,
                                                            java.lang.String orderBy)
                                                     throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateProfesorByQuery

    public static java.util.Iterator iterateProfesorByQuery(java.lang.String condition,
                                                            java.lang.String orderBy,
                                                            org.hibernate.LockMode lockMode)
                                                     throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateProfesorByQuery

    public static java.util.Iterator iterateProfesorByQuery(org.orm.PersistentSession session,
                                                            java.lang.String condition,
                                                            java.lang.String orderBy)
                                                     throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateProfesorByQuery

    public static java.util.Iterator iterateProfesorByQuery(org.orm.PersistentSession session,
                                                            java.lang.String condition,
                                                            java.lang.String orderBy,
                                                            org.hibernate.LockMode lockMode)
                                                     throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### createProfesor

    public static Profesor createProfesor()

#### save

    public static boolean save(Profesor profesor)
                        throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### delete

    public static boolean delete(Profesor profesor)
                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### deleteAndDissociate

    public static boolean deleteAndDissociate(Profesor profesor)
                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### deleteAndDissociate

    public static boolean deleteAndDissociate(Profesor profesor,
                                              org.orm.PersistentSession session)
                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### refresh

    public static boolean refresh(Profesor profesor)
                           throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### evict

    public static boolean evict(Profesor profesor)
                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`